> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/connect-your-technology/d-j-integrations/elastic-security-siem-setup-for-workbench.md).

# Elastic Security (SIEM) Setup for Workbench

## Step 1: Enable Console and API Access <a href="#h_01hyedfpcmjw0kxrtf1n56ynsc" id="h_01hyedfpcmjw0kxrtf1n56ynsc"></a>

Expel requires console access to allow analysts to perform investigation and triage. Without this additional level of information, alerts cannot be verified by our analysts and an investigation cannot be initiated. For more information, see [Why Expel Asks for Console Access](/connect-your-technology/about-integrations/why-expel-asks-for-console-access.md).

1. Open Kibana and use the User Creation Wizard to to create a user for Expel with a role that grants **Read** privileges to the Indices that host your security logs. For instructions, see: <https://www.elastic.co/docs/deploy-manage/users-roles/cloud-organization/user-roles#ech-predefined-roles>
2. Make note of the **Username** and **Password** for later use.

## Step 2: Configure Elastic Security (SIEM) as a Security Device in Workbench <a href="#h_01jt48mkyw0jtw95ymkc8qndrm" id="h_01jt48mkyw0jtw95ymkc8qndrm"></a>

Now that you have the correct access configured and noted the credentials, you can integrate your tech with Workbench.

1. ​[Log in to Workbench](https://workbench.expel.io/auth/login?orig=%2F).
2. In the side menu, navigate to **Organization Settings > Security Devices**.
3. Select **Add Security Device**.
4. In the search box, enter “Elastic” and then select the **Elastic Security (SIEM)** integration.
5. For Where is your device? select **Cloud** or **On-prem**.
6. Complete the rest of the fields as follows:
   * **Assembler** (on-prem only) - select your Assembler from the list.&#x20;
   * **Name** - enter a name that might help you more easily identify this integration, such as “CompanyName ElasticSecuritySIEM”; this name will display in Workbench under the Name column, and is a text string that you can filter on.
   * **Location** - enter the location of your integration, for example “cloud.” This is also a text string that you can filter on, so we recommend being consistent with location naming across your Expel integrations.
   * **Username** and **Password** - enter the credentials you created in [Step 1](#h_01hyedfpcmjw0kxrtf1n56ynsc).
   * **Server address** - enter the Elastic Security endpoint. Be sure to use the Elastic Security endpoint and not the Kibana endpoint.
   * **Index** - enter: `.alerts-security.alerts-default`
7. Click **Save**.
8. On the console access screen, select **Set up now**.
9. In the Console Login area, enter these details:
   * **Console URL** - enter the console URL from the Server address in the Connection Settings area above. At the end of the URL, type **/login**.
   * **Username** and **Password** - enter the credentials you created in [Step 1](#h_01hyedfpcmjw0kxrtf1n56ynsc).
   * **Two-factor secret key (32-character code)** - depending on how your organization enforces log-ins, this field may not apply to you. In these cases, you can leave it blank. This field is optional and if you have questions or concerns, reach out to your Customer Success Manager (CSM) or to support.
10. Click **Save**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.expel.io/connect-your-technology/d-j-integrations/elastic-security-siem-setup-for-workbench.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
